tut::tests_registerer< Test, Group, n > Struct Template Reference

Walks through test tree and stores address of each test method in group. More...

`#include <tut.h>`

## Static Public Member Functions

static void | reg (Group &group)

## Detailed Description

### template<class Test, class Group, int n>
struct tut::tests_registerer< Test, Group, n >

Walks through test tree and stores address of each test method in group.

Instantiation stops at 0.

## Member Function Documentation

## reg()

template<class Test , class Group , int n>

static void tut::tests_registerer< Test, Group, n >::reg | ( | Group & | group | ) |

inline static

Referenced by tut::test_group< Data, MaxTestsInGroup >::test_group().

The documentation for this struct was generated from the following file:

- tut.h